Package ru.bitel.bgbilling.kernel.contract.param.common.bean

# Class PhoneParamValue

java.lang.Object
ru.bitel.bgbilling.kernel.contract.param.common.bean.PhoneParamValue

All Implemented Interfaces:
  `Serializable`, `Iterable<PhoneParamItem>`

Direct Known Subclasses:
  `ContractPhoneParamValue`

@Deprecated public class PhoneParamValue extends Object implements Serializable, Iterable<PhoneParamItem>
Deprecated.
use `EntityAttrPhone` and `ContractService.contractParameterGet(int, int)` or `ContractDao.getContractParameter(int, int)`

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PhoneParamValue()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addPhoneItem(int index, PhoneParamItem item)`
  Deprecated.
  `void`
  `addPhoneItem(PhoneParamItem item)`
  Deprecated.
  `void`
  `clearParamItems()`
  Deprecated.
  `String`
  `getData()`
  Deprecated.
  `PhoneParamItem`
  `getPhoneItem(int index)`
  Deprecated.
  `String`
  `getPhones()`
  Deprecated.
  `Iterator<PhoneParamItem>`
  `iterator()`
  Deprecated.
  `PhoneParamItem`
  `removePhoneItem(int index)`
  Deprecated.
  `void`
  `setPhones(String phones)`
  Deprecated.
  `int`
  `size()`
  Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

- ## Constructor Details

  - ### PhoneParamValue

    public PhoneParamValue()
    Deprecated.

- ## Method Details

  - ### getPhones

    public String getPhones()
    Deprecated.

  - ### setPhones

    public void setPhones(String phones)
    Deprecated.

  - ### getPhoneItem

    public PhoneParamItem getPhoneItem(int index)
    Deprecated.

  - ### getData

    public String getData()
    Deprecated.

  - ### iterator

    public Iterator<PhoneParamItem> iterator()
    Deprecated.
    Specified by:
      `iterator` in interface `Iterable<PhoneParamItem>`

  - ### addPhoneItem

    public void addPhoneItem(PhoneParamItem item)
    Deprecated.

  - ### addPhoneItem

    public void addPhoneItem(int index, PhoneParamItem item)
    Deprecated.

  - ### removePhoneItem

    public PhoneParamItem removePhoneItem(int index)
    Deprecated.

  - ### clearParamItems

    public void clearParamItems()
    Deprecated.

  - ### size

    public int size()
    Deprecated.